package com.huigou.topsun.ep.change.domain.query;

import com.huigou.data.domain.query.QueryAbstractRequest;
import lombok.Data;

import java.util.Calendar;
import java.util.Date;

/**
 * @Auther: xin.lu
 * @Date: 2024/06/19/10:14
 * @Description:
 */

public class EpChangeFormQueryRequest extends QueryAbstractRequest {
    private String billCode;
    private String epChangeFormId;
    private String id;
    private String oldId;
    private String changeNo;
    private String brandName;
    private String personMemberName;
    protected Date fillinBeginDate;
    protected Date fillinEndDate;

    public String getBillCode() {
        return billCode;
    }

    public void setBillCode(String billCode) {
        this.billCode = billCode;
    }

    public String getEpChangeFormId() {
        return epChangeFormId;
    }

    public void setEpChangeFormId(String epChangeFormId) {
        this.epChangeFormId = epChangeFormId;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getOldId() {
        return oldId;
    }

    public void setOldId(String oldId) {
        this.oldId = oldId;
    }

    public String getChangeNo() {
        return changeNo;
    }

    public void setChangeNo(String changeNo) {
        this.changeNo = changeNo;
    }

    public String getBrandName() {
        return brandName;
    }

    public void setBrandName(String brandName) {
        this.brandName = brandName;
    }

    public String getPersonMemberName() {
        return personMemberName;
    }

    public void setPersonMemberName(String personMemberName) {
        this.personMemberName = personMemberName;
    }

    public Date getFillinBeginDate() {
        return fillinBeginDate;
    }

    public void setFillinBeginDate(Date fillinBeginDate) {
        this.fillinBeginDate = fillinBeginDate;
    }

    public Date getFillinEndDate() {
        return fillinEndDate;
    }

    public void setFillinEndDate(Date fillinEndDate) {
        if (fillinEndDate != null) {
            // 使用Calendar类给日期加一天
            Calendar calendar = Calendar.getInstance();
            calendar.setTime(fillinEndDate);
            calendar.add(Calendar.DATE, 1); // 给日期加上一天
            // 获取新的Date对象
            fillinEndDate = calendar.getTime();
        }
        this.fillinEndDate = fillinEndDate;
    }
}
